Vulnerability Name:

CVE-2014-7216

Assigned:2014-09-28
Published:2015-09-11
Updated:2016-12-21
Summary:Multiple stack-based buffer overflows in Yahoo! Messenger 11.5.0.228 and earlier allow remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via the (1) shortcut or (2) title keys in an emoticons.xml file.
CVSS v3 Severity:9.0 Critical (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): None
Scope:Scope (S): Changed
Impact Metrics:Confidentiality (C): High
Integrity (I): High
Availibility (A): High
CVSS v2 Severity:9.3 High (CVSS v2 Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (Au): None
Impact Metrics:Confidentiality (C): Complete
Integrity (I): Complete
Availibility (A): Complete
Vulnerability Type:CWE-119
References:Source: MISC
Type: UNKNOWN
http://packetstormsecurity.com/files/133443/Yahoo-Messenger-11.5.0.228-Buffer-Overflow.html

Source: FULLDISC
Type: UNKNOWN
20150907 [CVE-2014-7216] Yahoo! Messenger emoticons.xml Multiple Key Value Handling Local Buffer Overflow

Source: BUGTRAQ
Type: UNKNOWN
20150903 [CVE-2014-7216] Yahoo! Messenger emoticons.xml Multiple Key Value Handling Local Buffer Overflow

Source: SECTRACK
Type: UNKNOWN
1033544

Source: MISC
Type: UNKNOWN
https://hackerone.com/reports/10767

Source: MISC
Type: UNKNOWN
https://www.rcesecurity.com/2015/09/cve-2014-7216-a-journey-through-yahoos-bug-bounty-program/

Vulnerable Configuration:Configuration 1:
  • cpe:/a:yahoo:messenger:11.5.0.228:*:*:*:*:*:*:*

  • Denotes that component is vulnerable
    BACK
    yahoo messenger 11.5.0.228